clang 8.0.0

Public Member Functions | List of all members
clang::ExternalASTSource::ASTSourceDescriptor Class Reference

Abstracts clang modules and precompiled header files and holds everything needed to generate debug info for an imported module or PCH. More...

`#include "clang/AST/ExternalASTSource.h"`

## Public Member Functions
| ASTSourceDescriptor ()=default
| ASTSourceDescriptor (StringRef Name, StringRef Path, StringRef ASTFile, ASTFileSignature Signature)
| ASTSourceDescriptor (const Module &M)
std::string | getModuleName () const
StringRef | getPath () const
StringRef | getASTFile () const
ASTFileSignature | getSignature () const
const Module * | getModuleOrNull () const

## Detailed Description

Abstracts clang modules and precompiled header files and holds everything needed to generate debug info for an imported module or PCH.

Definition at line 173 of file ExternalASTSource.h.

## Constructor & Destructor Documentation

## ◆ ASTSourceDescriptor() [1/3]

clang::ExternalASTSource::ASTSourceDescriptor::ASTSourceDescriptor | ( |  | ) |
| default

## ◆ ASTSourceDescriptor() [2/3]

clang::ExternalASTSource::ASTSourceDescriptor::ASTSourceDescriptor | ( | StringRef | Name,
|  | StringRef | Path,
|  | StringRef | ASTFile,
|  | ASTFileSignature | Signature
| ) |  |
| inline

Definition at line 182 of file ExternalASTSource.h.

## ◆ ASTSourceDescriptor() [3/3]

ExternalASTSource::ASTSourceDescriptor::ASTSourceDescriptor | ( | const Module & | M | ) |

Definition at line 40 of file ExternalASTSource.cpp.

References clang::Module::Directory, clang::Module::getASTFile(), and clang::DirectoryEntry::getName().

## Member Function Documentation

## ◆ getASTFile()

StringRef clang::ExternalASTSource::ASTSourceDescriptor::getASTFile | ( |  | ) | const
| inline

Definition at line 190 of file ExternalASTSource.h.

Referenced by hasDefaultSetterName().

## ◆ getModuleName()

std::string ExternalASTSource::ASTSourceDescriptor::getModuleName | ( |  | ) | const

Definition at line 48 of file ExternalASTSource.cpp.

References clang::Module::Name.

Referenced by hasDefaultSetterName().

## ◆ getModuleOrNull()

const Module* clang::ExternalASTSource::ASTSourceDescriptor::getModuleOrNull | ( |  | ) | const
| inline

Definition at line 192 of file ExternalASTSource.h.

References clang::ExternalASTSource::getSourceDescriptor().

Referenced by hasDefaultSetterName().

## ◆ getPath()

StringRef clang::ExternalASTSource::ASTSourceDescriptor::getPath | ( |  | ) | const
| inline

Definition at line 189 of file ExternalASTSource.h.

Referenced by hasDefaultSetterName().

## ◆ getSignature()

ASTFileSignature clang::ExternalASTSource::ASTSourceDescriptor::getSignature | ( |  | ) | const
| inline

Definition at line 191 of file ExternalASTSource.h.

Referenced by hasDefaultSetterName().

The documentation for this class was generated from the following files:

- include/clang/AST/ExternalASTSource.h
- lib/AST/ExternalASTSource.cpp